v3.4.11 (Oct 27, 2020)
-----------------------------
- Fixed default features not working with imported posts

v3.4.10 (Oct 11, 2020)
-----------------------------
- Added filter hooks: `wp_review_items_fallback` and `wp_review_items`
- Added font display swap for font awesome
- Added datepicker support for Video upload date field of Recipe schema in the meta box
- Displayed schema date in WordPress date format
- Fixed Save button in global settings not working

v3.4.9 (Sep 23, 2020)
-----------------------------
- Fixed star styling issued in the Facebook template

v3.4.8 (Sep 1, 2020)
-----------------------------
- Fixed deprecated jQuery function in WordPress 5.5
- Fixed filter `wp_review_rating_types` not working in some places

v3.4.7 (Aug 19, 2020)
-----------------------------
- Fixed review box displaying when post type is excluded
- Fixed filter `wp_review_rating_types` not working with circle rating type
- Fixed Recipe schema errors when video data is empty

v3.4.6 (Apr 24, 2020)
-----------------------------
- Added hook to print custom code before and after review widgets
- Removed some unused scripts loading on the frontend
- Fixed a JS error on the category edit pages
- Fixed some wrong option labels in the Schema types

v3.4.5 (Jan 4, 2020)
-----------------------------
- Fixed Offer URL not working in some schema types

v3.4.4 (Dec 14, 2019)
-----------------------------
- Fixed an issue where widget tab titles are not saving

v3.4.3 (Nov 24, 2019)
-----------------------------
- Added hooks and template file to customize review widgets
- Improved WooCommerce integration
- Maked `Allow multiple reviews per account` works in all situations
- Maked `Rating` column in backend post lists display `No Rating` only if review is enabled on specific post
- Don't show `Verified Purchase` twice
- Fixed WooCommerce single product page slow down when checking if user is verified
- Fixed `A rating is required! Hit the back button to add your rating` on posts without review enabled
- Fixed structured data errors if no review is available
- Fixed rating value is out of range in rich snippet

v3.4.2 (Nov 19, 2019)
-----------------------------
- Added Hotel schema type
- Added options to change the Google, Facebook, Yelp API cache period
- Improved offer price schema field
- Fixed wrong default thumbnail image
- Fixed missing schema fields in the Yelp business reviews shortcode
- Fixed duplicate id `respond` when using WP Review comment template

v3.4.1 (Nov 09, 2019)
-----------------------------
- Removed meta query from add/edit post screens which was causing slow loading times

v3.4.0 (Nov 06, 2019)
-----------------------------
- Added a new one-click converter tool to help fix the Stars not appearing in Search Engine Result Pages. <a href="https://mythemeshop.com/kb/wp-review-pro/stars-not-appearing-in-the-search-engine-result-pages/" target="_blank">Read here</a>
- Added new Schema types: Course, CreativeWorkSeason, CreativeWorkSeries, Episode, LocalBusiness, MusicPlaylist & Organization
- Removed unsupported Schema types: Article, Thing, Painting, Place & WebSite
- Replaced Schema type from Place to LocalBusiness for Google Places, Facebook and Yelp Reviews

v3.3.16 (Sep 14, 2019)
-----------------------------
- Added Event schema
- Improved and added some translate strings
- Fixed [wp-review-posts] "cat" attribute not working

v3.3.15 (Aug 14, 2019)
-----------------------------
- Fixed Review Settings not displaying on the Pages

v3.3.14 (Aug 13, 2019)
-----------------------------
- Improved percentage and point rating mechanism on mobile
- Fixed fatal error on product feed page
- Fixed User feature rating does not show if author feature rating is not set
- Fixed "User can" option not working in the in Default Global tab
- Fixed "A rating is required" error on excluded post type

v3.3.13 (Jul 12, 2019)
-----------------------------
- Added permission check when migrating ratings
- Fixed security issue in the comment image uploader field

v3.3.12 (Jul 10, 2019)
-----------------------------
- Fixed disappearance of review boxes on some installations

v3.3.11 (Jul 9, 2019)
-----------------------------
- Fixed wp_review_excluded_post_types filter does not work with the comment form

v3.3.10 (Jul 9, 2019)
-----------------------------
- Added [wp_review_badge] shortcode, it will show the floating badge with the rating
- Added new attributes to [wp_review_yelp_business] and [wp_review_google_place_average_rating] shortcode: show_as_badge, top, right, bottom, left, bg_color
- Updated some strings in the translation file
- Updated Facebook API version
- Fixed styling issue in some templates

v3.3.9 (Jun 20, 2019)
-----------------------------
- Added missing fields in Product schema
- Fixed default User reviews option does not work
- Fixed wrong user review type on the frontend
- Fixed styling issue on some templates

v3.3.8 (Jun 17, 2019)
-----------------------------
- Fixed rating numbers not showing in the frontend

v3.3.7 (Jun 15, 2019)
-----------------------------
- Added Global option to set default value for “Rate Each Feature” option
- Added shortcode support in review description
- Improved review box template system
- Improved Enable User ratings in old posts feature
- Fixed feature rating input does not show the avg rating
- Fixed conflict with Woodmart plugin
- Fixed date translation for the comment date

v3.3.6 (Mar 10, 2019)
-----------------------------
- Fixed: visitor's rich snippet code was not printing if there were no feature items present
- Fixed Recipe schema's 'Recipe Name' & 'Description' field saving issue if 'Video name' & 'Video description' fields are used

v3.3.5 (Feb 18, 2019)
-----------------------------
- Added a filter to the comparison table query (wp_review_comparison_table_query_args)
- Fixed Yelp Widget not working
- Fixed few PHP 7.3 errors

v3.3.4 (Jan 6, 2019)
-----------------------------
- Fixed wrong rating value in the Tab Widget
- Added option to show review title instead of the post title in the Tab Widget

v3.3.3 (Jan 5, 2019)
-----------------------------
- Fixed items limit in the tabbed widget
- Fixed regular comments showing rating fields in the admin area

v3.3.2 (Dec 26, 2018)
-----------------------------
- Added support for '#' in the review links
- Updated Facebook template
- Updated .pot file
- Fixed AMP validation error

v3.3.1 (Dec 7, 2018)
-----------------------------
- Fixed meta boxes not hiding when set Review type to 'none'
- Fixed WordPress 5.0 block editor conflict

v3.3.0 (Dec 6, 2018)
-----------------------------
- Added AMP support for 'AMP for WordPress', 'AMP for WP', 'Better AMP' & 'AMP on WordPress – weeblrAMP CE'
- Fixed importing reviews from other plugins was not working on few installations
- Fixed review data was not saving on few installations
- Fixed user rating submission was not working for few users
- Fixed 'Restrict rating to registered users only' option was not working
- Fixed fatal error on posts where review was disabled
- Fixed 'Show text count with Star ratings' option was not working and renamed it to 'Show rating value with Star ratings'
- Made star rating count text hidden by default, you can enable them by using global option 'Show rating value with Star ratings'

v3.2.4 (Nov 28, 2018)
-----------------------------
- Removed the conditions that checks and disables the Schema added by Rank Math plugin.

v3.2.3 (Nov 18, 2018)
-----------------------------
- Fixed 'Show text count with Star ratings' option was not working

v3.2.2 (Nov 14, 2018)
-----------------------------
- Fixed editor-plugin.js script loading in the front-end
- Fixed compatibility issue with Rank Math SEO plugin

v3.2.1 (Nov 5, 2018)
-----------------------------
- Improved compatibility with MTS Updater plugin

v3.2.0 (Nov 1, 2018)
-----------------------------
- Added smooth hover effect on star ratings
- Fixed Theme filter behavior
- Fixed wrong visitor total rating
- Fixed Recipe Snippet's Missing fields
- Changed 'Article Rich Snippet' headline length to 110 characters according to Google Rich Snippet new rule
- Overall code improvements according to the WPCS & PHPCS

v3.1.10 (Oct 26, 2018)
-----------------------------
- New Update Process Added

v3.1.9 (Oct 16, 2018)
-----------------------------
- Added new option for selecting time period in the widgets
- Removed unnecessary scripts from the non WP Review admin pages
- Fixed one bug which was causing PHP Fatal error
- Fixed NPM Dependency
- Fixed Validation error No space between attributes
- Fixed total rating keeps disappearing if there are no features

v3.1.8 (Oct 8, 2018)
-----------------------------
- Fixed wrong image size name

v3.1.7 (Oct 6, 2018)
-----------------------------
- Added new shortcode to show Average rating of Google Place

v3.1.6 (Oct 3, 2018)
-----------------------------
- Added 'nofollow' attribute to the 'more' link

v3.1.5 (Oct 3, 2018)
-----------------------------
- Added option to make affiliate links nofollow
- Added new location option 'Above & Below Content'
- Fixed missing Yelp logo in the Yelp Shortcode
- Fixed adding unnecessary custom field values if the review is not enabled in the post
- Reverted total rating's value to the one decimal
- Changed the default value of 'Rating Schema' option, set to the Author rating
- Removed blank review links section

v3.1.4 (Sep 24, 2018)
-----------------------------
- Fixed custom post types not showing in the Tab widget
- Fixed few global settings were getting applied in the single post
- Changed rating color to yellow for all the backend data

v3.1.3 (Sep 19, 2018)
-----------------------------
- Fixed color picker conflict with Avada theme
- Fixed 500 error happening with the Gutenberg
- Fixed Gutenberg issue where TinyMCE fields were not saving
- Fixed empty default colors in the single post's custom layout option
- Fixed color issue in the review box
- Added missing fields in Restaurant Schema
- Added missing options in the `wp_review_metabox_item_fields` filter
- Updated select2 script
- Removed plugin related scripts from Customizer page

v3.1.2 (Aug 07, 2018)
-----------------------------
- Made plugin compatible with Rank Math.

v3.1.1 (June 26, 2018)
-----------------------------
- Fixed invalid array warnings issues

v3.1.0 (June 18, 2018)
-----------------------------
- WooCommerce Integration
- Improved Yelp review widget & shortcode
- Fixed: User star ratings distorted
- Added a text along with star ratings
- Added custom image support for ratings
- Fixed WPML compatibility issue
- Fixed RTL issue
- Added Multisite options
- Added Role Manager option
- Added compatibility with Members plugin for Role Management
- Added new layout inspired by Facebook
- Added review id to wp_review_desc, wp_review_pros & wp_review_cons filter
- Added thumbnail selection option while inserting an image in Schema details

v3.0.9 (May 28, 2018)
-----------------------------
- Added wp-review-posts and wp_review_posts shortcode
- Added editor button for all shortcodes
- Added option to show reviews count in widget instead of date
- Hide schema data if review total is 0
- Changed precision of star and point rating

v3.0.8 (May 09, 2018)
-----------------------------
- Made plugin GDPR compliant.

v3.0.7 (May 08, 2018)
-----------------------------
- Fixed Yelp Reviews tab link
- Fixed Google Reviews tab link
- Fixed Facebook Reviews tab link
- Fixed PHP Warning on star rating and improved code

v3.0.6 (May 02, 2018)
-----------------------------
- Added decimal value support in rating score.

v3.0.5 (May 01, 2018)
-----------------------------
- Added ability to control single or multiple comment reviews for each user (Option name: Allow multiple reviews per account)

v3.0.4 (Apr 30, 2018)
-----------------------------
- Fixed image lightbox conflict with themes
- Fix PHP notice when using 'Thing' schema
- Added rich snippet for Google, Facebook & Yelp Reviews
- Added missing fields to Store Schema
- Added rating schema to WooCommerce Product schema
- Added Verified purchase tag to WooCommerce product review
- Optimized JS loading in the backend

v3.0.3 (Apr 22, 2018)
-----------------------------
- Fixed 'Registered Image Sizes' option saving issue
- Moved 'Display Schema Data in the Box' option below Schema Dropdown

v3.0.2 (Apr 20, 2018)
-----------------------------
- Fixed few Schema validation errors
- Fixed schema issue in the Zine template
- Fixed one typo error
- Moved 'Approve Ratings' option from Default tab to General tab and renamed it

v3.0.1 (Apr 16, 2018)
-----------------------------
- Fixed box templates dropdown doesn't show properly in global options
- Optimized CSS files
- Updated demo content

v3.0 (Apr 16, 2018)
-----------------------------
Note: This is a major update, before updating, please back up your database and old plugin files.
For all the new features, please visit https://mythemeshop.com/plugins/wp-review-pro/
- Complete plugin overhaul
- Added new review type ‘Thumbs up & down.
- Added 16 Unique Box Templates designs
- Added option to enable user rating for each feature
- Added option to enable each feature in the comment form
- Added Notification Bar for showing reviews
- Added Comparison table Shortcode
- Added related Reviews Popup
- Added 9 new custom Widgets
- Added Pros & Cons Section
- Added support for Google Places Reviews
- Added support for Yelp Reviews
- Added support for Facebook Page reviews
- Added deep WooCommerce Integration
- Added Advanced Options Panel
- Added more filters (https://mythemeshop.com/knowledge-base/filter-list/)
- Added one click demo import
- Added option to import ratings from other plugins
-- Import ‘Yet Another Stars Ratings’
-- Import ‘Author hReview’ reviews
-- Import ‘WP Rich Snippets’ reviews
-- Import from ‘Reviews’ Plugin
-- Import from ‘WP Product Review’
-- Import from ‘GD Rating System’
- Added option to enable embed code
- Added support for custom icons (675 icons included!)
- Added many minor improvements under the hood
- Optimized code for better performance

v2.2.9 (Sep 28, 2017)
-----------------------------
- Fixed Circle rating alignment issue
- Fixed RTL issue in IE and Firefox
- Added an option to change empty review color
- Added an option just to enter 1 total rating without features
- Added latest user reviews tab in the widget
- Added filters to widget queries
- Fixed empty pagination issue

Files updated:
- filter-list.php
- admin/metaboxes.php
- admin/options.php
- assets/css/wp-review.css
- includes/comments.php
- includes/functions.php
- rating-types/percentage-input.js
- rating-types/percentage-input.php
- rating-types/percentage-output.php
- rating-types/point-input.js
- rating-types/point-input.php
- rating-types/point-output.php
- rating-types/star-input.php
- rating-types/star-output.php
- admin\metaboxes.php
- assets\css\admin.css
- assets\js\admin.js
- includes\widget.php
- includes\functions.php
- assets\js\wp-review-tab-widget.js
- assets\js\wp-review-tab-widget-admin.js
- assets\css\wp-review-tab-widget.css

v2.2.8 (Sep 20, 2017)
-----------------------------
- Added "Text Domain" and "Domain Path" plugin headers

Files updated:
- wp-review.php

v2.2.7 (Aug 14, 2017)
-----------------------------
- Fixed content appearing at the end of review descriptions

Files updated:
- box-templates/default.php
- includes/functions.php
- wp-review.php

v2.2.6 (Aug 04, 2017)
-----------------------------
- Fixed Require A Rating bug
- Displayed review rating when hide_desc is true
- Fixed PHP 5.2 compatibility issue
- Enabled embed of youtube URL in review description
- Added worst-value 0

Files updated:
- assets/css/wp-review.css
- box-templates/default.php
- changelog.txt
- includes/comments.php
- includes/functions.php
- wp-review.php

v2.2.5 (Aug 01, 2017)
-----------------------------
- Added circle option in the widget
- Disabled visitor rating for the user if set in options that only registered user can rate.
- Fixed: Can't Reply to Comments Without Adding a Rating from The Backend
- Removed list style bullets

Files updated:
- includes/widget.php
- wp-review.php

v2.2.4 (May 18, 2017)
-----------------------------
- Fix: Don't let users vote when using wp_review_show_total()

Files updated:
- includes/functions.php
- wp-review.php

v2.2.3 (Apr 10, 2017)
-----------------------------
- Fix: Invalid comment count on widgets when viewing a single post

Files updated:
- includes/comments.php
- wp-review.php

v2.2.2 (Apr 10, 2017)
-----------------------------
- Fix: only load admin CSS on specific pages

Files updated:
- admin/admin.php
- wp-review.php

v2.2.1 (Mar 30, 2017)
-----------------------------
- Fix undefined index notice in the post editor

Files updated:
- admin/metaboxes.php
- wp-review.php

v2.2.0 (Mar 28, 2017)
-----------------------------
- Add "name" property to itemReviewed if "Thing" schema item type is selected

Files updated:
- includes/functions.php
- wp-review.php

v2.1.9 (Mar 21, 2017)
-----------------------------
- Fix "missing argument" notice in the comment submission form.

Files updated:
- includes/comments.php
- wp-review.php

v2.1.8 (Feb 16, 2017)
-----------------------------
- Updating the styling of the review box.

NOTE: If you have a customized box template, you will need to update your box template with the new one from the plugin directory.

Files updated:
- assets/css/wp-review.css
- box-templates/default.php
- rating-types/circle-input.js
- rating-types/circle-output.js
- wp-review.php

v2.1.7 (Jan 27, 2017)
-----------------------------
- Improved internationalization

Files updated:
- includes/comments.php
- languages/wp-review.pot
- wp-review.php

v2.1.6 (Jan 05, 2017)
-----------------------------
- Fix issue with shortcode not showing the ratings of review items on the other posts

Files updated:
- box-templates/default.php
- wp-review.php

v2.1.5 (Oct 24, 2016)
-----------------------------
- Minor Changes on a Settings page
- Review headings do not default to the post title anymore when the field is empty but a filter is available to restore the old functionality
- Improvements in post editor meta box
- CSS improvements

Files Updated:
- wp-review.php
- box-templates/default.php
- admin/options.php
- assets/js/admin.js
- assets/css/wp-review.css
- includes/functions.php

v2.1.4 (Aug 15, 2016)
-----------------------------
- Added missing localization string
- Updated language files ( added .pot file and removed .po/.mo files )

Files Updated:
- wp-review.php
- includes/comments.php
- compat/comments.php
- languages/

v2.1.3 (Aug 6, 2016)
-----------------------------
- Updated language files

Files Updated:
- wp-review.php
- languages/default.po
- languages/default.mo

v2.1.2 (Aug 4, 2016)
-----------------------------
- Fixed review through comments issue on pages

Files Updated:
- wp-review.php
- includes/comments.php

v2.1.1 (Jul 7, 2016)
-----------------------------
- Fixed "Review Schema" option in the Default tab
- Added missing fields in WebSite Schema type

Files Updated:
- wp-review.php
- admin/options.php
- admin/metaboxes.php

v2.1.0 (Jul 6, 2016)
-----------------------------
- Moved schema.org inline markup to JSON-dl type ( NOTE: Please update your default.php template in the theme )
- Added options for each schema type except "Thing"
- Added option to display schema type data inside review box
- Added option to choose which rating to show on SERPs
- Added custom comments template to provide the way to easily fix theme conflicts
- Fixed comments count number issue
- Fixed RTL percentage and point inputs
- Fixed unclosed p tag in feedback section markup
- Fixed issue where comment review rating cache was not updating when a comment rating was edited
- Other fixes and improvements

Files Updated:
- wp-review.php
- admin/options.php
- admin/metaboxes.php
- box-templates/default.php
- includes/functions.php
- includes/comments.php
- assets/css/wp-review.css
- rating-types/percentage-input.js
- rating-types/point-input.js

v2.0.9 (Mar 5, 2016)
-----------------------------
- Fixed decimals issue in Point type reviews
- Fixed bug preventing reviews from showing on Pages

Files Updated:
- wp-review.php
- includes/functions.php

v2.0.8 (Mar 1, 2016)
-----------------------------
- Replaced anonymous functions for compatibility with older PHP versions

Files Updated:
- wp-review.php
- admin/options.php
- includes/widget.php
- includes/functions.php

v2.0.7 (Feb 29, 2016)
-----------------------------
- Added option to change comments rating color

Files Updated:
- wp-review.php
- admin/options.php
- includes/comments.php
- assets/js/admin.js
- assets/css/admin.css

v2.0.6 (Feb 27, 2016)
-----------------------------
- Added option to choose whether to show Autor, Visitors or Comments total rating on thumbnails
- Fixed issue with "wp-review-visitor-rating" shortcode
- Added "wp-review-comments-rating" shortcode
- Added option to show/hide Comments total rating to review box
- User rating and comment rating comment type moderations are respected in total ratings now
- Fixed issue where avatar wasn't showing inside review comment type
- Added "comment" CSS class to review comment type item to match the style of normal comment
- Allowed html tags in review description
- Added RTL support
- Updated language files
- Fixed possible jQuery Appear script conflicts
- Other fixes and  improvements

v2.0.5 (Feb 23, 2016)
-----------------------------
- Fixed issue with "wp-review" shortcode with passed id

Files Updated:
- wp-review.php
- includes/functions.php

v2.0.4 (Feb 17, 2016)
-----------------------------
- Added option to extend comment form with new fields instead of replacing all fields
- Fixed issue with comment reviews getting enabled by default

Files Updated:
- wp-review.php
- includes/comments.php
- includes/options.php

v2.0.3 (Feb 16, 2016)
-----------------------------
- Improved review comments listing in admin

Files Updated:
- wp-review.php
- includes/comments.php

v2.0.2 (Feb 16, 2016)
-----------------------------
- Fixed: removed numeric value of star rating from review box
- Fixed: visitor rating edit issue
- Fixed issue where user ratings couldn't be disabled
- Fixed minor CSS issues
- Added: Quick Edit for comment ratings & visitor ratings
- Added dashboard notice about migrating ratings after updating

Files Updated:
- wp-review.php
- includes/functions.php
- includes/comments.php
- box-templates/default.php
- assets/css/wp-review.css
- assets/css/admin.css

v2.0.1 (Feb 15, 2016)
-----------------------------
- Fixed some CSS related bugs

Files Updated:
- assets/css/wp-review.css

v2.0 (Feb 15, 2016)
-----------------------------
- Huge code improvement and optimization
- Added Option to define Review Schema (Ex: Book, Movie, Product etc)
- Choose any rating type for user reviews (user reviews were restricted to stars before)
- User ratings can now be managed from WP dashboard
- Now it is possible to enable/disable comment reviews and visitor ratings separately
- Added Review feedback (like/dislike) for comment reviews
- Added global option 'Restrict rating to registered users only'
- Added global option 'Require a rating when commenting'
- Added global option for controlling User Ratings
- Added Drag & Drop for Review Items
- Added Review Links fields (Add Buttons in the Review Box)
- Added Rating Column on 'Posts' page

For Developers:
- Introducing Review box templates — Create custom review box templates
- Introducing Rating type templates — Create custom Rating Types

NOTE: After updating the plugin, existing user ratings must be migrated in Settings > WP Review Pro > Migrate Ratings

v1.1.1 (Dec 23, 2015)
-----------------------------
- Added check to prevent 0-star user ratings

Files updated:
- wp-review.php
- includes/functions.php
- includes/comments.php

v1.1.0 (Oct 7, 2015)
-----------------------------
- Fixed SSL error in dashboard
- Added ability to change review author
- Updated language files

Files updated:
- wp-review.php
- admin/admin.php
- admin/metaboxes.php
- includes/functions.php
- assets/js/admin.js
- languages/default.po
- languages/default.mo

v1.0.10 (Aug 27, 2015)
----------------------------------
- Fixed warning: changed the widget constructor method

Files changed:
- wp-review.php
- includes/widget.php

v1.0.9 (May 1, 2015)
----------------------------------
- Fixed Google structured data testing tool errors and warnings
- Rating stars are showing on search engine results page

Files changed:
- wp-review.php
- includes/functions.php

v1.0.8 (Mar 14, 2015)
----------------------------------
- Fixed Google structured data testing tool errors and warnings

Files changed:
- wp-review.php
- includes/functions.php

v1.0.7 (Oct 20, 2014)
----------------------------------
- Added Title Length option for the widget
- Added Filter to control default title length

v1.0.6 (Oct 3, 2014)
----------------------------------
- Added optional 'id' parameter for shortcode
- Added filter to modify style output

v1.0.5 (Oct 1, 2014)
----------------------------------
- Added loading animation in the widget
- Fixed minor bug in user ratings
- Fixed minor bug in comments rating feature

v1.0.4 (Oct 1, 2014)
----------------------------------
- Fixed text from review box appearing in widgets
- Fixed PHP notice on reviews with the only total rating and no criteria
- Added version to enqueue functions

v1.0.3 (Sep 13, 2014)
----------------------------------
- Fixed missing stars in the widget

v1.0.2 (Sep 11, 2014)
----------------------------------
- Fixed invalid header issue

v1.0.1 (Sep 11, 2014)
----------------------------------
- Fixed error appearing when plugin settings weren't saved.
- Fixed JS issues
- Fixed Tabbed widget issue

v1.0.0 (Sep 10, 2014)
----------------------------------
- Plugin Released
